Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Class MemoryRasterImageFactory

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.MemoryRasterImageFactory

public class MemoryRasterImageFactory
extends java.lang.Object
implements RasterImageFactory

Factory for in-memory images.

Constructor Summary
`MemoryRasterImageFactory()`

Method Summary
`BitRasterImage` | `createBitRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`ByteRasterImage` | `createByteRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`IntRasterImage` | `createIntRasterImage(int w, int h, java.awt.image.ColorModel cm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryRasterImageFactory

    public MemoryRasterImageFactory()

Method Detail

### createIntRasterImage

    public IntRasterImage createIntRasterImage(int w,
                                               int h,
                                               java.awt.image.ColorModel cm)

  Specified by:
    createIntRasterImage in interface RasterImageFactory

### createByteRasterImage

    public ByteRasterImage createByteRasterImage(int w,
                                                 int h,
                                                 java.awt.image.ColorModel cm)

  Specified by:
    createByteRasterImage in interface RasterImageFactory

### createBitRasterImage

    public BitRasterImage createBitRasterImage(int w,
                                               int h,
                                               java.awt.image.ColorModel cm)

  Specified by:
    createBitRasterImage in interface RasterImageFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD